import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
interface ResponseType extends Promise<any> {
  data?: object;
  code?: number;
  msg?: string;
}
// 添加
export const httpAdd = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}execstatlogadd`, { data });
};
// 列表
export const httpList = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}execstatloglist`, { 
    data: {
      ...data,
      type: [3,4]
    }
   });
};
// 删除
export const httpDelete = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}execlogdel`, { data });
};
// 备选类型
export const httpListAll = (data: object): ResponseType => {
  return http.request("post", `${yewuApi}execstatall`, { data });
};
